Name: xauth
Version: 1.0.6
Release: %mkrel 1
Summary: X authority file utility
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Obsoletes: 	xorg-x11-xauth
Conflicts: 	mkxauth < 1.7-13
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2


%description
The xauth program is used to edit and display the authorization information
used in connecting to the X server. This program is usually used to extract
authorization records from one machine and merge them in on another (as is the
case when using remote logins or granting access to other users). 

%prep
%setup -q -n %{name}-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/xauth
%{_mandir}/man1/xauth.*


%changelog
* Sun Sep 11 2011 Texstar <texstar at gmail.com> 1.0.6-1pclos2011
- 1.0.6

* Mon May 23 2011 Texstar <texstar at gmail.com> 1.0.5-2pclos2011
- rebuild for xorg 1.9.5

* Sat May 14 2011 Texstar <texstar at gmail.com> 1.0.5-1pclos2011
- update for new xorg server

